## org.codehaus.groovy.grails.web.sitemesh
Class FactoryHolder

    java.lang.Object
      org.codehaus.groovy.grails.web.sitemesh.FactoryHolder

    public class FactoryHolder

extends Object

A class that holds a reference to the Sitemesh Factory object

Since:
  0.6

  Created: Jul 24, 2007 Time: 5:05:25 PM
Author:
  Graeme Rocher

Method Summary
`static com.opensymphony.module.sitemesh.Factory` `getFactory()`
`static void` `setFactory(com.opensymphony.module.sitemesh.Factory newFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFactory

    public static com.opensymphony.module.sitemesh.Factory getFactory()

### setFactory

    public static void setFactory(com.opensymphony.module.sitemesh.Factory newFactory)

Copyright (c) 2005-2009 The Grails project